io_uring_submit_and_get_events(3)

NAME
io_uring_submit_and_get_events - submit requests to the submission queue and flush completions

SYNOPSIS
#include <liburing.h>

int io_uring_submit_and_get_events(struct io_uring *ring);

DESCRIPTION
The io_uring_submit_and_get_events(3) function submits the next events to the submission queue as with io_uring_submit(3). After submission it will flush CQEs as with io_uring_get_events(3).

The benefit of this function is that it does both with only one system call.

RETURN VALUE
On success io_uring_submit_and_get_events(3) returns the number of submitted submission queue entries. On failure it returns -errno.

SEE ALSO
io_uring_submit(3), io_uring_get_events(3)